package org.jerrymouse.gaes.test;

import java.util.HashMap;
import java.util.Map;

import com.google.apphosting.api.ApiProxy;

/**
 * project test environment
 */
class TestEnvironment implements ApiProxy.Environment {
	private String appId = "yankaitest";
	private String versionId = "1.0";
	private String requestNamespace = "";
	private Map<String, Object> attributes = new HashMap<String, Object>();

	public String getAppId() {
		return appId;
	}

	public String getVersionId() {
		return versionId;
	}

	public String getRequestNamespace() {
		return requestNamespace;
	}

	public Map<String, Object> getAttributes() {
		return attributes;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public void setVersionId(String versionId) {
		this.versionId = versionId;
	}

	public void setRequestNamespace(String requestNamespace) {
		this.requestNamespace = requestNamespace;
	}

	public void setAttributes(Map<String, Object> attributes) {
		this.attributes = attributes;
	}

	public String getEmail() {
		throw new UnsupportedOperationException();
	}

	public boolean isLoggedIn() {
		throw new UnsupportedOperationException();
	}

	public boolean isAdmin() {
		throw new UnsupportedOperationException();
	}

	public String getAuthDomain() {
		throw new UnsupportedOperationException();
	}

}
